#include <stdio.h>

int main ()
{
  unsigned int m,n,j,i;
  int suma=0;
  scanf("%u%u",&m,&n);
  
    for (i>0;i<m;i++)
    {for (j>0;j<m;j++)
    if (n>=0 && m>=0 && m>n)
  suma+=(m-n+1);
  
 
  else printf("-1");}
  


return 0;
}